Stop an app's service.
curl --request POST \
--url https://api.rigbox.dev/api/v1/apps/{id}/stop \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rigbox.dev/api/v1/apps/{id}/stop"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rigbox.dev/api/v1/apps/{id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app": {
"allowed_emails": [
"<string>"
],
"app_kind": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"custom_domain_verified": true,
"depends_on": [
"<string>"
],
"id": "<string>",
"managed": true,
"metadata": "<unknown>",
"name": "<string>",
"node_id": "<string>",
"port": 1,
"protocol": "<string>",
"subdomain": "<string>",
"system_tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"workspace_id": "<string>",
"custom_domain": "<string>",
"description": "<string>"
},
"message": "<string>",
"service_name": "<string>"
}Apps
Stop App Service
Stop an app’s backing service without deleting the app.
POST
/
api
/
v1
/
apps
/
{id}
/
stop
Stop an app's service.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
App ID
Response
200 - application/json
Service stopped
OpenAPI-facing mirror of the canonical app payload.
Response types can keep serializing rig_data_store::models::App while
pointing schema generation at this local mirror to avoid cross-crate derive
coupling in utoipa.
Show child attributes
Show child attributes
⌘I